Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wsrp.model.markup
Interface IGetMarkupResponseContext

All Superinterfaces
  IBaseResponseContext, IGetMarkupBaseResponseContext, ISessionContext

All Known Subinterfaces:
  IGetResourceResponseContext

    public interface IGetMarkupResponseContext

extends IGetMarkupBaseResponseContext

A response context that represents output data of the "getMarkup" operation. This also provides methods for custom data transfer which is applicable only in the WLP Consumer/Producer combination.

This interface is intended to be implemented only by BEA Weblogic Portal. BEA Systems reserves the right to add abstract methods to this interface without notice. Implementations of this interface by other parties must not be expected to compile without change in future versions of BEA Weblogic Portal.

Method Summary
`Object` | `getMarkupResponseState()` Returns a custom data object that is in the response of the "getMarkup" operation.
`void` | `setMarkupResponseState(MarkupResponseState markupResponseState)` Sets the supplied `markupResponseState` object as a custom data that is in the response of the "getMarkup" operation.
`void` | `setMarkupResponseState(XmlPayload xmlPayload)` Sets the supplied `xmlPayload` object as a custom data that is in the response of the "getMarkup" operation.

Methods inherited from interface com.bea.wsrp.model.markup.IGetMarkupBaseResponseContext
`getExpires, getLocale, getMarkupCharacterSet, getMarkupData, getMimeType, getPreferredTitle, getUserScope, getValidateTag, isRequiresUrlRewritingOn, isUseCachedMarkupOn, setMarkupCharacterSet, setMarkupData, setMimeType, setPreferredTitle, setRequiresUrlRewritingOn, setUseCachedMarkupOn`

Methods inherited from interface com.bea.wsrp.model.markup.IBaseResponseContext
`getMimeHeaders, getNamespaceUri, getResponseCookies, render`

Methods inherited from interface com.bea.wsrp.model.markup.ISessionContext
`getSessionExpires, getSessionID, setSessionExpires, setSessionID`

Method Detail

### getMarkupResponseState

    Object getMarkupResponseState()

  Returns a custom data object that is in the response of the "getMarkup" operation. The returned object type can be `XmlPayload` or `MarkupResponseState`.

  Returns
    a custom data object received from a producer.

### setMarkupResponseState

    void setMarkupResponseState(XmlPayload xmlPayload)

  Sets the supplied `xmlPayload` object as a custom data that is in the response of the "getMarkup" operation.

  Parameters
    `xmlPayload` - a new custom data object.
  See Also
    `XmlPayload`

### setMarkupResponseState

    void setMarkupResponseState(MarkupResponseState markupResponseState)

  Sets the supplied `markupResponseState` object as a custom data that is in the response of the "getMarkup" operation.

  Parameters
    `markupResponseState` - a new custom data object.
  See Also
    `SimpleStateHolder`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved